> ## Documentation Index
> Fetch the complete documentation index at: https://docs.data-wizard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single run

> Retrieves a ExtractionRun resource.



## OpenAPI

````yaml api-reference/openapi.json get /api/runs/{id}
openapi: 3.1.0
info:
  title: DataWizard.ai API
  description: API access to DataWizard data extraction
  contact:
    name: Lukas Mateffy
    url: https://mateffy.me
    email: hey@mateffy.me
  license:
    name: ''
    url: ''
  version: 1.0.0
servers:
  - url: https://data-wizard.ai
    description: Data Wizard API
  - url: https://data-wizard.test
    description: Local Development API
security:
  - Personal Access Token: []
tags:
  - name: ExtractionBucket
  - name: ExtractionRun
    description: An in-progress or completed extraction run
  - name: SavedExtractor
paths:
  /api/runs/{id}:
    get:
      tags:
        - ExtractionRun
      summary: Get a single run
      description: Retrieves a ExtractionRun resource.
      operationId: api_apiruns_id_get
      parameters:
        - name: id
          in: path
          description: ExtractionRun identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: result_json
          in: query
          description: ExtractionRun result_json
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: partial_result_json
          in: query
          description: ExtractionRun partial_result_json
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: error
          in: query
          description: ExtractionRun error
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: model
          in: query
          description: ExtractionRun model
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: saved_extractor_id
          in: query
          description: ExtractionRun saved_extractor_id
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: strategy
          in: query
          description: ExtractionRun strategy
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
        - name: status
          in: query
          description: ExtractionRun status
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: false
      responses:
        '200':
          description: ExtractionRun resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExtractionRun'
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/ExtractionRun.jsonapi'
            application/ld+json:
              schema:
                $ref: '#/components/schemas/ExtractionRun.jsonld'
            text/csv:
              schema:
                $ref: '#/components/schemas/ExtractionRun.csv'
            text/html:
              schema:
                $ref: '#/components/schemas/ExtractionRun'
        '404':
          description: Not found
          links: {}
      deprecated: false
components:
  schemas:
    ExtractionRun:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        status:
          type: string
        resultJson:
          type:
            - string
            - 'null'
        partialResultJson:
          type:
            - string
            - 'null'
        targetSchema:
          type:
            - string
            - 'null'
        tokenStats:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        model:
          type: string
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        startedAt:
          type:
            - string
            - 'null'
          format: date-time
        finishedAt:
          type:
            - string
            - 'null'
          format: date-time
        chunkSize:
          type:
            - integer
            - 'null'
        duration:
          readOnly: true
          type:
            - string
            - 'null'
        formattedDuration:
          readOnly: true
          type:
            - string
            - 'null'
        totalInputTokens:
          readOnly: true
          type:
            - string
            - 'null'
        data:
          readOnly: true
          type:
            - string
            - 'null'
        partialData:
          readOnly: true
          type:
            - string
            - 'null'
        evaluationType:
          readOnly: true
          type:
            - string
            - 'null'
        bucket:
          type: string
          format: iri-reference
          example: https://example.com/
        savedExtractor:
          type: string
          format: iri-reference
          example: https://example.com/
    ExtractionRun.jsonapi:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        status:
          type: string
        resultJson:
          type:
            - string
            - 'null'
        partialResultJson:
          type:
            - string
            - 'null'
        targetSchema:
          type:
            - string
            - 'null'
        tokenStats:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        model:
          type: string
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        startedAt:
          type:
            - string
            - 'null'
          format: date-time
        finishedAt:
          type:
            - string
            - 'null'
          format: date-time
        chunkSize:
          type:
            - integer
            - 'null'
        duration:
          readOnly: true
          type:
            - string
            - 'null'
        formattedDuration:
          readOnly: true
          type:
            - string
            - 'null'
        totalInputTokens:
          readOnly: true
          type:
            - string
            - 'null'
        data:
          readOnly: true
          type:
            - string
            - 'null'
        partialData:
          readOnly: true
          type:
            - string
            - 'null'
        evaluationType:
          readOnly: true
          type:
            - string
            - 'null'
        bucket:
          type: string
          format: iri-reference
          example: https://example.com/
        savedExtractor:
          type: string
          format: iri-reference
          example: https://example.com/
    ExtractionRun.jsonld:
      type: object
      description: ''
      deprecated: false
      properties:
        '@context':
          readOnly: true
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          readOnly: true
          type: string
        '@type':
          readOnly: true
          type: string
        id:
          readOnly: true
          type: string
        status:
          type: string
        resultJson:
          type:
            - string
            - 'null'
        partialResultJson:
          type:
            - string
            - 'null'
        targetSchema:
          type:
            - string
            - 'null'
        tokenStats:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        model:
          type: string
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        startedAt:
          type:
            - string
            - 'null'
          format: date-time
        finishedAt:
          type:
            - string
            - 'null'
          format: date-time
        chunkSize:
          type:
            - integer
            - 'null'
        duration:
          readOnly: true
          type:
            - string
            - 'null'
        formattedDuration:
          readOnly: true
          type:
            - string
            - 'null'
        totalInputTokens:
          readOnly: true
          type:
            - string
            - 'null'
        data:
          readOnly: true
          type:
            - string
            - 'null'
        partialData:
          readOnly: true
          type:
            - string
            - 'null'
        evaluationType:
          readOnly: true
          type:
            - string
            - 'null'
        bucket:
          type: string
          format: iri-reference
          example: https://example.com/
        savedExtractor:
          type: string
          format: iri-reference
          example: https://example.com/
    ExtractionRun.csv:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          type: string
        status:
          type: string
        resultJson:
          type:
            - string
            - 'null'
        partialResultJson:
          type:
            - string
            - 'null'
        targetSchema:
          type:
            - string
            - 'null'
        tokenStats:
          type:
            - string
            - 'null'
        error:
          type:
            - string
            - 'null'
        createdAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          readOnly: true
          type:
            - string
            - 'null'
          format: date-time
        strategy:
          type: string
        model:
          type: string
        includeText:
          type: boolean
        includeEmbeddedImages:
          type: boolean
        markEmbeddedImages:
          type: boolean
        includePageImages:
          type: boolean
        markPageImages:
          type: boolean
        startedAt:
          type:
            - string
            - 'null'
          format: date-time
        finishedAt:
          type:
            - string
            - 'null'
          format: date-time
        chunkSize:
          type:
            - integer
            - 'null'
        duration:
          readOnly: true
          type:
            - string
            - 'null'
        formattedDuration:
          readOnly: true
          type:
            - string
            - 'null'
        totalInputTokens:
          readOnly: true
          type:
            - string
            - 'null'
        data:
          readOnly: true
          type:
            - string
            - 'null'
        partialData:
          readOnly: true
          type:
            - string
            - 'null'
        evaluationType:
          readOnly: true
          type:
            - string
            - 'null'
        bucket:
          type: string
          format: iri-reference
          example: https://example.com/
        savedExtractor:
          type: string
          format: iri-reference
          example: https://example.com/
  securitySchemes:
    Personal Access Token:
      type: http
      description: Value for the http bearer parameter.
      scheme: bearer
      bearerFormat: JWT

````